Subject: Re: bug#62317: 28.2; This byte-compiled file behaves wrongly.

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Sep 2023 17:45:08 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 13 Sep 2023 07:02:38 -0700
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> 
> Stefan Monnier <[email-masked]> writes:
> 
> >> It seems like this patch was never installed.
> >
> > To be honest, I'm not sure it's worth the trouble.
> >
> > I'd argue that the bug is in having side-effects like that inside
> > `eval-and/when-compile` (or at the top-level of a `require`d file).
> > The patch only caters to changes to the `current_buffer` but there can
> > be many other ways to cause similar troubles and I can't think of a good
> > way to confine them all.
> 
> Good point.  It seems rather unusual to call `set-buffer' from the
> top-level of a required file, to say the least.  And if we accept that,
> users can start calling all kinds of weird and wonderful things.
> 
> On the other hand, the fix seems innocuous enough.
> 
> Eli, what do you think?  Should we close this as wontfix?

Given that Stefan Monnier himself is not sure, yes, I think we should
close this as wontfix.